org.eclipse.actf.ui.preferences

## Class GroupFieldEditorPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.jface.preference.FieldEditorPreferencePage
      - - org.eclipse.actf.ui.preferences.GroupFieldEditorPreferencePage

All Implemented Interfaces:
  EventListener, IDialogPage, IMessageProvider, IPreferencePage, IPropertyChangeListener

    public class GroupFieldEditorPreferencePage
    extends FieldEditorPreferencePage

Utility class to host Field Editors by using Group.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`GroupFieldEditorPreferencePage()` Creates a new field editor preference page.

### Method Summary

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`dispose, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, setDescription, setImageDescriptor`

### Constructor Detail

#### GroupFieldEditorPreferencePage

    public GroupFieldEditorPreferencePage()

Creates a new field editor preference page.